com.sap.core.connectivity.api.configuration

## Interface DestinationConfiguration

-     public interface DestinationConfiguration

  `DestinationConfiguration` interface provides read only access to destination properties.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAllProperties()` Returns all destination properties in read only Map.
    `KeyStore` | `getKeyStore()` Returns the keystore configured in the destination.
    `String` | `getProperty(String key)` Returns the value of destination property with the specified key.
    `KeyStore` | `getTrustStore()` Returns the truststore configured in the destination.

- - ### Method Detail

    - #### getProperty

          String getProperty(String key)

      Returns the value of destination property with the specified key.
      Parameters:
        `key` - - Key of destination property.
      Returns:
        Value of property or `null` if the property does not exists.

    - #### getAllProperties

          Map<String,String> getAllProperties()

      Returns all destination properties in read only Map.
      Returns:
        Read only `Map` with all destination properties.

    - #### getKeyStore

          KeyStore getKeyStore()

      Returns the keystore configured in the destination. For this, a keystore file must have been uploaded before and the destination properties "KeyStoreLocation" and "KeyStorePassword" must be defined in the destination properties.
      Returns:
        the keystore of the destination as `KeyStore` or `null` if a keystore is not configured or is missing.
      Throws:
        `IllegalArgumentException` - when properties "KeyStoreLocation" and "KeyStorePassword" are wrong.

    - #### getTrustStore

          KeyStore getTrustStore()

      Returns the truststore configured in the destination. For this, a truststore file must have been uploaded before and the destination properties "TrustStoreLocation" and "TrustStorePassword" must be defined in the destination properties. Note that the JDK truststore is used by default for an HTTP destination that uses HTTPS to connect to a Web resource if no truststore is explicitly specified for the destination.
      Returns:
        the truststore of the destination as `KeyStore` or `null` if a truststore is not configured, is missing or if the default JDK truststore is used.
      Throws:
        `IllegalArgumentException` - when properties "TrustStoreLocation" and "TrustStorePassword" are wrong.

Copyright © 2016 SAP. All Rights Reserved.